Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get project milestone

GET/workspaces/{organizationId}/projects/{projectId}/milestones/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
projectIdstringrequired
idstringrequired
Responses
200

Project milestone

idstringrequired
organizationIdstringrequired
projectIdstringrequired
namestringrequired
descriptionstring | nullrequired
targetDatestring | nullrequired
completedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/projects/string/milestones/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?